Page MenuHomePhabricator

CX2: Link adaptation
Closed, ResolvedPublic

Description

With the new translation unit approach, Link adaption need to be implemented in data models for LinkTranslationUnit. CX2 has some basic adaptation, but does not take care of links that cannot be adapted, creating new links from scratch etc

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
Resolvedsanthosh
ResolvedPginer-WMF

Event Timeline

santhosh created this task.Apr 4 2017, 10:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2017, 10:10 AM

Change 346956 had a related patch set uploaded (by Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Link card pairs

https://gerrit.wikimedia.org/r/346956

Change 347357 had a related patch set uploaded (by Santhosh):
[mediawiki/extensions/ContentTranslation@master] WIP: CX2: Tool to add new link to the current section

https://gerrit.wikimedia.org/r/347357

Change 346956 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Link card pairs

https://gerrit.wikimedia.org/r/346956

Change 347357 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Tool to add new link to the current section - First part

https://gerrit.wikimedia.org/r/347357

Change 350173 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Add new link to target section from selection

https://gerrit.wikimedia.org/r/350173

Change 352106 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Link tools - Mark the links as red links

https://gerrit.wikimedia.org/r/352106

Change 352578 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] WIP: New link tool

https://gerrit.wikimedia.org/r/352578

Change 350173 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Add new link to target section from selection

https://gerrit.wikimedia.org/r/350173

Change 352106 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Link tools - Mark the links as red links

https://gerrit.wikimedia.org/r/352106

Change 352578 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: New link tool - Add any internal or external links

https://gerrit.wikimedia.org/r/352578

santhosh removed santhosh as the assignee of this task.Apr 11 2018, 11:53 AM
Pginer-WMF closed this task as Resolved.Jul 6 2018, 9:33 AM
Pginer-WMF claimed this task.